import {Resource, Service} from 'ngx-jsonapi';
import {Injectable} from '@angular/core';
@Injectable()

export class DocService extends Service<Doc> {
    public resource = Doc;
    public type = 'docs';
}

export class Doc extends Resource {
    public attributes: {
        url: string,
    };

    get url(): string {
        return this.attributes.url;
    }
    set url(url: string) {
        this.attributes.url = url;
    }
}
